// 605A
const int LED[3] = {11, 10, 9}; // R, B, G
const int LED_R = LED[0];
const int LED_B = LED[1];
const int LED_G = LED[2];

void setup() {
  Serial.begin(9600);// シリアル通信開始(通信速度:9600bps)
  for (int i=0; i<3; i++)
    pinMode(LED[i], OUTPUT);
}

int lux_th = 20; // 照度の閾値
void loop() {
  int dark;
  int lux = (int)sensing_lux(A0);
  if (lux < lux_th) { // 20luxより暗い場合
    dark = HIGH;
  } else {
    dark = LOW;
  }
  digitalWrite(LED_B, dark);

  Serial.println(lux);
  delay(10);
}

// 関数: sensing_lux
// 引数: port (A0, A1, A2, A3, A4, A5)
// 戻り値: lux (照度)
float sensing_lux(int port) {
  int data = analogRead(port);     // 1. AD変換結果
  float v = data * 5.0 / 1024.0; // 2. 電圧に変換
  float lux = 222 * v;        // 3. 照度に変換
  return lux;
}

