// 606A
const int LED[3] = {11, 10, 9}; // R, B, G
const int LED_R = LED[0];
const int LED_B = LED[1];
const int LED_G = LED[2];

void setup() {
  Serial.begin(9600);
}

int lux_th1 = 20;  // 照度の閾値1
int lux_th2 = 40;  // 照度の閾値2

void loop() {
  int lux = (int)sensing_lux(A0);
  if (lux >= 0 && lux < lux_th1) { // 0lux以上20lux未満
    rgb_disp(255, 0, 0);  // [A] Red
  } else if (lux >= lux_th1 && lux < lux_th2) { // 20lux以上40lux未満
    rgb_disp(0, 255, 0);  // [B] Blue
  } else { // それ以外
     rgb_disp(0, 0, 255); // [C] Green
  }
  Serial.println(lux);
  delay(10);
}

// 関数: sensing_lux
// 引数: port (A0, A1, A2, A3, A4, A5)
// 戻り値: lux (照度)
float sensing_lux(int port) {
  int data = analogRead(port);     // 1. AD変換結果
  float v = data * 5.0 / 1024.0; // 2. 電圧に変換
  float lux = 222 * v;        // 3. 照度に変換
  return lux;
}

// 関数: rgb_disp
// 引数: r(0-255), g(0-255), b(0-255)
// 戻り値: なし
void rgb_disp(int r, int g, int b) {
   analogWrite(LED_R, r);
   analogWrite(LED_B, b);
   analogWrite(LED_G, g); 
}

