// 607A
const int LED[3] = {11, 10, 9}; // R, B, G
const int LED_R = LED[0];
const int LED_B = LED[1];
const int LED_G = LED[2];

float lux_min = 0;  // 照度の最小値
float lux_max = 100; // 照度の最大値

void setup() {
  Serial.begin(9600);
}

void loop() {
  float lux = sensing_lux(A0);
  // lux 0--100 を 0--255 に変換，変換結果を brightに
  int bright = (int)map(lux, lux_min, lux_max, 0, 255);
  rgb_disp(bright, 255-bright, bright);
  Serial.println(bright);
  delay(10);
}

// 関数: sensing_lux
// 引数: port (A0, A1, A2, A3, A4, A5)
// 戻り値: lux (照度)
float sensing_lux(int port) {
  int data = analogRead(port);  // 1. AD変換結果
  float v = data * 5.0 / 1024.0;    // 2. 電圧に変換
  float lux = 222 * v;               // 3. 照度に変換
  return lux;
}

// 関数: rgb_disp
// 引数: r(0-255), g(0-255), b(0-255)
// 戻り値: なし
void rgb_disp(int r, int g, int b) {
   analogWrite(LED_R, r);
   analogWrite(LED_B, b);
   analogWrite(LED_G, g); 
}

